/***************************************************************************
 *   Copyright (C) 2009 Nicolas Hadacek <hadacek@kde.org>                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef GLOBAL_UI_H
#define GLOBAL_UI_H

#include "common/global/global.h"

#include <qvalidator.h>
#include <qlayout.h>
#include <qlabel.h>
#include <qtimer.h>
#include <qpainter.h>

#ifdef NO_KDE

#  include <QLineEdit>
#  include <QTabBar>
#  include <QTabWidget>
#  include <QComboBox>
#  include <QPushButton>
#  include <QMessageBox>
#  include <QWheelEvent>
#  include <QTextBrowser>
#  include <QApplication>
#  include <QPainter>
#  include <QMetaObject>
#  include <QMetaProperty>
#  include <QToolButton>

#  include <Q3ListView>
#  include <Q3WidgetStack>
#  include <Q3Frame>
#  include <Q3Header>
#  include <Q3TextEdit>
#  include <Q3PopupMenu>
#  include <Q3ValueVector>
#  include <Q3VGroupBox>
#  include <Q3Grid>
#  include <Q3ButtonGroup>

   typedef QTabBar KTabBar;
   typedef QTabWidget KTabWidget;
   typedef QComboBox KComboBox;
   typedef Q3CheckListItem KCheckListItem;
   typedef Q3TextEdit KTextEdit;
   typedef Q3PopupMenu KPopupMenu;
   typedef Qt::Alignment Q3Alignment;
   typedef QTextBrowser KTextBrowser;

#else // NO_KDE

#  include <qwidgetstack.h>
#  include <qframe.h>
#  include <qheader.h>
#  include <qvaluevector.h>
#  include <qvgroupbox.h>
#  include <qgrid.h>
#  include <qbuttongroup.h>
#  include <qtooltip.h>
#  include <qtoolbutton.h>

#  include <klineedit.h>
#  include <ktabbar.h>
#  include <ktabwidget.h>
#  include <kcombobox.h>
#  include <kpushbutton.h>
#  include <kcursor.h>
#  include <klistview.h>
#  include <ktextedit.h>
#  include <kmessagebox.h>
#  include <kpopupmenu.h>
#  include <kiconloader.h>
#  include <ktextbrowser.h>
#  include <kurlrequester.h>
#  include <kurllabel.h>
#  include <knuminput.h>
#  include <kfiledialog.h>
#  include <ktextbrowser.h>
#  include <kactionclasses.h>

   typedef QListView Q3ListView;
   typedef QListViewItem Q3ListViewItem;
   typedef QCheckListItem Q3CheckListItem;
   typedef QListViewItemIterator Q3ListViewItemIterator;

   typedef QWidgetStack Q3WidgetStack;
   typedef QFrame Q3Frame;
   typedef QPopupMenu Q3PopupMenu;
   typedef int Q3Alignment;
   enum FocusPolicy { ClickFocus = QWidget::ClickFocus };
   typedef QVGroupBox Q3VGroupBox;
   typedef QGrid Q3Grid;
   typedef QButtonGroup Q3ButtonGroup;
   typedef QDragObject Q3DragObject;

#  include "common/common/qflags.h"

#endif // NO_KDE

#endif
